Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class PropertyRef

    java.lang.Object
      com.bea.p13n.expression.internal.ComplexExpressionImpl
          com.bea.p13n.expression.operator.Operator
              com.bea.p13n.content.expression.PropertyRef

All Implemented Interfaces
  Expression, com.bea.p13n.expression.ExpressionEvents, Serializable, Cloneable

Direct Known Subclasses:
  RequestPropertyRef, SessionPropertyRef, UserPropertyRef

Deprecated

    public class PropertyRef

extends Operator

An operator that represents the left-hand-side of a content query expression.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`PropertyRef(Object propName)` Deprecated Constructor.
`PropertyRef(Object propSet, Object propName)` Deprecated Constructor.

Method Summary
`Object` | `accept(com.bea.p13n.expression.ExpressionVisitor visitor, Object data)` Deprecated Accept this node.
`Class[]` | `getParameterSignature()` Deprecated Get the parameter signature for this node.
`Object` | `getPropertyName()` Deprecated Get the property name.
`Object` | `getPropertySet()` Deprecated Get the property set.
`String` | `getPropertyType()` Deprecated Return the type of property this refers to.
`void` | `setPropertyName(Object name)` Deprecated Set the property name.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyRef

    public PropertyRef(Object propSet,
                       Object propName)

  Deprecated
  Constructor.

  Parameters
    `propSet` - the property set name.
    `propName` - the property name.

### PropertyRef

    public PropertyRef(Object propName)

  Deprecated
  Constructor.

  Parameters
    `propName` - the property name.

Method Detail

### getPropertySet

    public Object getPropertySet()

  Deprecated
  Get the property set.

### getPropertyName

    public Object getPropertyName()

  Deprecated
  Get the property name.

### setPropertyName

    public void setPropertyName(Object name)

  Deprecated
  Set the property name.

### getParameterSignature

    public Class[] getParameterSignature()

  Deprecated
  Get the parameter signature for this node.

  Returns
    the Class array containing the parameter signature.

### accept

    public Object accept(com.bea.p13n.expression.ExpressionVisitor visitor,
                         Object data)
                  throws ExpressionException

  Deprecated
  Accept this node.

  Throws
    `ExpressionException`

### getPropertyType

    public String getPropertyType()

  Deprecated
  Return the type of property this refers to.

  This should correspond to a valid propertySetType in the PropertySetManager, but does not have to. The pre-defined values are CONTENT, USER, REQUEST, SESSION, and EVENT.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved